PaymentTransaction

Query transaction history

GET
/openapi/v1/payments/transaction/history

Query the transaction history of an account, with pagination. Use it for reconciliation and financial reporting.

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Query Parameters

accountNumber*string

Account number. Length 16

currency*string

ISO 4217 currency code. Length 3

startDate*string

Start date. Format yyyyMMdd, length 8

endDate*string

End date. Format yyyyMMdd, length 8

pageToken?string

Pagination token, used to fetch the next page. Length 50

currentPage*integer

Current page number, starting from 1

pageSize*integer

Number of records per page, maximum 100

Header Parameters

X-Channel-Provider*string

Provider identifier, such as GLDB

Response Body

Returns the transaction records.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?

Base fields of business data. The data object of every business response contains these fields (except fee estimation).

Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/transaction/history?accountNumber=10000000001&currency=SGD&startDate=20240213&endDate=20240426&currentPage=1&pageSize=20' \  -H 'X-Channel-Provider: GLDB'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "a1b2c3d4-e5f6-7890",  "data": {    "providerStatusCode": "000000",    "providerMessage": "ok",    "providerRequestSerialNo": "795883203712778240",    "providerResponseSerialNo": "785957885476737024",    "providerTimestamp": "2023-05-17 21:03:48",    "totalRecords": 12,    "pageToken": "202411153825756049.01,6",    "records": [      {        "transactionReference": "FT24320XW3NC",        "transactionDate": "2024-11-15",        "transactionTime": "09:33",        "currency": "SGD",        "balance": "31900312.79",        "amount": "-31",        "remarks": "To Acc.No.- 10000000002",        "valueDate": "2024-11-15",        "transactionDescription": "Transfer Out",        "transactionType": "213",        "direction": "OUTGOING"      }    ]  }}